package spotai;

public class Coordinate {
  
  public static final Coordinate PASS = new Coordinate(-1, -1);
  
  public int x;
  public int y;
  
  public Coordinate() {    
  }
  
  public Coordinate(final int x, final int y) {
    this.x = x;
    this.y = y;
  }
  
  public Coordinate set(final int x, final int y) {
    this.x = x;
    this.y = y;
    return this;
  }

  public int getX() {
    return x;
  }

  public void setX(final int x) {
    this.x = x;
  }

  public int getY() {
    return y;
  }

  public void setY(final int y) {
    this.y = y;
  }

  @Override
  public String toString() {
    if (this == Coordinate.PASS) {
      return "pass";
    } else {
      return String.format("[%d, %d]", x, y);
    }
  }
}